Skip to main content
GET
/
attachment-overviews
List attachment overviews
curl --request GET \
  --url https://mycluster.domino.tech/attachment-overviews
{
  "data": [
    {
      "approvalTimelineMap": {},
      "bundle": {
        "id": "<string>",
        "attachments": [
          {
            "approvalTimelineMap": {},
            "createdAt": "<string>",
            "createdBy": {},
            "id": "<string>",
            "identifier": {}
          }
        ],
        "classificationValue": "<string>",
        "commentsCount": 123,
        "createdAt": "<string>",
        "createdBy": {},
        "gates": [
          {
            "bundleId": "<string>",
            "id": "<string>",
            "isOpen": true,
            "name": "<string>",
            "policyGateId": "<string>",
            "reason": "<string>",
            "resources": [
              {
                "failOpen": true,
                "parameters": {}
              }
            ]
          }
        ],
        "name": "<string>",
        "policies": [
          {
            "bundleId": "<string>",
            "classificationValue": "<string>",
            "createdAt": "<string>",
            "deactivatedAt": "<string>",
            "enforceSequentialOrder": true,
            "isPolicyArchived": true,
            "policyId": "<string>",
            "policyName": "<string>",
            "policyVersionId": "<string>",
            "stage": "<string>"
          }
        ],
        "policyId": "<string>",
        "policyName": "<string>",
        "policyVersionId": "<string>",
        "projectId": "<string>",
        "projectName": "<string>",
        "projectOwner": "<string>",
        "stage": "<string>",
        "stageApprovals": [
          {
            "approvers": [
              {
                "editable": true,
                "id": "<string>",
                "name": "<string>",
                "showByDefault": true,
                "fromOrganizationUserId": "<string>",
                "isOrganizationUser": true
              }
            ],
            "evidence": {
              "artifacts": [
                {
                  "details": {},
                  "id": "<string>",
                  "required": true,
                  "visibilityRule": "<string>",
                  "visible": true
                }
              ],
              "createdAt": "<string>",
              "description": "<string>",
              "externalId": "<string>",
              "id": "<string>",
              "name": "<string>",
              "policyId": "<string>",
              "policyVersionId": "<string>",
              "visible": true
            },
            "id": "<string>",
            "name": "<string>",
            "required": true
          }
        ],
        "stageAssignee": {
          "id": "<string>",
          "name": "<string>"
        },
        "stages": [
          {
            "assignedAt": "<string>",
            "assignee": {
              "id": "<string>",
              "name": "<string>"
            },
            "bundleId": "<string>",
            "stage": {
              "approvals": [
                {
                  "approvers": [
                    {
                      "editable": true,
                      "id": "<string>",
                      "name": "<string>",
                      "showByDefault": true,
                      "fromOrganizationUserId": "<string>",
                      "isOrganizationUser": true
                    }
                  ],
                  "evidence": {
                    "artifacts": [
                      {
                        "details": {},
                        "id": "<string>",
                        "required": true,
                        "visibilityRule": "<string>",
                        "visible": true
                      }
                    ],
                    "createdAt": "<string>",
                    "description": "<string>",
                    "externalId": "<string>",
                    "id": "<string>",
                    "name": "<string>",
                    "policyId": "<string>",
                    "policyVersionId": "<string>",
                    "visible": true
                  },
                  "id": "<string>",
                  "name": "<string>",
                  "required": true
                }
              ],
              "evidenceSet": [
                {
                  "artifacts": [
                    {
                      "details": {},
                      "id": "<string>",
                      "required": true,
                      "visibilityRule": "<string>",
                      "visible": true
                    }
                  ],
                  "createdAt": "<string>",
                  "description": "<string>",
                  "externalId": "<string>",
                  "id": "<string>",
                  "name": "<string>",
                  "policyId": "<string>",
                  "policyVersionId": "<string>",
                  "visible": true
                }
              ],
              "id": "<string>",
              "name": "<string>",
              "policyVersionId": "<string>"
            },
            "stageId": "<string>"
          }
        ]
      },
      "createdAt": "<string>",
      "createdBy": {},
      "id": "<string>",
      "identifier": {}
    }
  ],
  "meta": {
    "filters": [
      {
        "key": "<string>",
        "values": [
          "<string>"
        ]
      }
    ],
    "pagination": {
      "limit": 123,
      "offset": 123,
      "totalCount": 123
    },
    "search": "<string>",
    "sort": [
      {
        "key": "<string>",
        "order": "<string>"
      }
    ]
  }
}

Query Parameters

offset
integer

Pagination offset

limit
integer

Pagination limit

order_by
string

Sorting order (e.g., 'created_at asc')

Search term

type
string

Filter by type of attachment (e.g., 'model_version')

identifier.filename
string

Filter by identifier filename

identifier.datasetId
string

Filter by identifier datasetId

identifier.snapshotId
string

Filter by identifier snapshotId

identifier.commit
string

Filter by identifier commit

identifier.branch
string

Filter by identifier branch

identifier.source
string

Filter by identifier source

identifier.name
string

Filter by identifier name

identifier.version
string

Filter by identifier version

identifier.volumeId
string

Filter by identifier volumeId

identifier.artifactId
string

Filter by identifier artifactId

identifier.executionName
string

Filter by identifier executionName

identifier.executionWorkflowName
string

Filter by identifier executionWorkflowName

identifier.executionWorkflowVersion
string

Filter by identifier executionWorkflowVersion

Response

OK

data
object[]
meta
object